From: [email-masked]
Date: Fri, 9 Apr 1999 13:13:51 +0200

> > Denis Prost wrote:
> > > 2) Prev [*] FlipFocus
> > >   the focus gets on window "a" and the window list becomes "a,b,c"
> > > (instead of "a,c,b" which is, if I understood well the documentation, the
> > > expected behaviour)
> > > 3) Prev [*] FlipFocus
> > >   At that time, I would expect the focus to get back to c, but since the
> > >  previous windowlist is wrong, it gets to b.
> > > I'm running fvwm 2.2 on redhat 5.1.
> > 
> > With 2.2 the WindowList, Next and Prev commands all follow the same list
> > from the same point which explains 3).  What happens at 2) is that
> > something is causing window b to move up the windowlist above window c. 
> > Do you use MouseFocus or SloppyFocus?  If so it could be that when the
> > desks are switched to show window a the pointer may be over window b
> > when it appears. I found that the only way to switch desks without
> > getting extra focuses was to first move the pointer out of the way (e.g.
> > left hand side of FvwmButtons).
> >
> >Cheers,
> >Tim.

> Hi Tim,
> 
> Thanks for your help.
> 
> In fact, all my windows are on "ClickToFocus", so there must not be any intermediate change in the windowlist due to > the pointer position after the desk change (moreover, I use warptowindow so that the pointer goes directly in the window that gets the focus). 
> 
> After several tests, it really seems that my problem is related to the fact that I switch focus from one window on one > desktop to another window on another desktop, everything being OK when all my windows are on the same desktop. > But I don't see the beginning of an explanation to it.
> 
> Do you have any other idea ?
> 
> Cheers,
> 
> Denis

Hi Tim,

I did another test so I want to add this to my previous message. 

It appears that when all my windows are in "SloppyFocus", everything works fine. So you guessed right thinking that the problem was related with the focus method. But I still don't understand why it doesn't work when I'm in "ClickToFocus" which is the focus method I would like to use.

Cheers,

Denis

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].